<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services\RelEntregasPorMotoboyService;
use Teknisa\MAN\Utilities;

class RelEntregasPorMotoboy  {

    protected $utilService;
    
    public function __construct(Utilities\Util $utilService, RelEntregasPorMotoboyService $RelEntregasPorMotoboyService) {
        $this->utilService   = $utilService;
        $this->reportService = $RelEntregasPorMotoboyService;
    }
    
    public function findReport(DTO\Request\Filter $request, DTO\Response $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
        $result = $this->reportService->fetchReport($conditions);
        $response->addDataSet(new DataSet("orm00006_relEntregasPorMotoboy", $result));
        return $response; 
    }
}
    